<?PHP
////++++++++++++++++ CONFIGURACIÓN DE PARAMETROS ESTANTAR EN PLATAFORMA ++++++++++++++++////

////Conexiones y tiempos de ejecución
$VpnEn=$_GET["VPN"] or $VpnEn=$_POST["VPN"];
$LtEn=$_GET["LT"] or $LtEn=$_POST["LT"];
ini_set('max_execution_time', $LtEn);
include ("Conections/$VpnEn.php");
include ("Funcion_Numerico.php");

$Cve_Modulo = "CMOD201506100657";

///Arrastra Variables Fijas
$UsuEn=$_POST['UsuKP'] or $UsuEn=$_GET['UsuKP'];
$TokEn=$_POST["TokenKP"] or $TokEn=$_GET["TokenKP"];
$IDSeEn=$_POST["IdDAcce"] or $IDSeEn=$_GET["IdDAcce"];
$CtaSesionEn=$_POST['CtaSKP'] or $CtaSesionEn=$_GET['CtaSKP'];


	/////////Identificar personalización 1 
		$sqlP1 = mysql_query("select * from wms_personaliza1 where ID='1'");
		if (mysql_numrows($sqlP1)==0) echo "";
		else{
		$registroP1=mysql_fetch_array($sqlP1);
		}
		if (mysql_numrows($sqlP1)>0)
		{
		$BBackg=$registroP1["BODY_BACKGROUND_IMG"];
		}
	
	/////////Identificar personalización 2
		$sqlP2 = mysql_query("select * from wms_personaliza2 where ID='1'");
		if (mysql_numrows($sqlP2)==0) echo "";
		else{
		$registroP2=mysql_fetch_array($sqlP2);
		}
		if (mysql_numrows($sqlP2)>0)
		{
		$Titulo=$registroP2["TITULO_PAGINAS"];
		}
		
	/////////Identificar personalización 3
		$sqlP3 = mysql_query("select * from wms_personaliza3 where ID='1'");
		if (mysql_numrows($sqlP3)==0) echo "";
		else{
		$registroP3=mysql_fetch_array($sqlP3);
		}
		if (mysql_numrows($sqlP3)>0)
		{
		$FuTi_Form=$registroP3["FUENTE_TITULOFORMULARIO"];
		$TaTi_Form=$registroP3["TAMANO_TITULOFORMULARIO"];
		$BgTi_Form=$registroP3["COLOR_TITULOFORMULARIO"];
		$FuCu_Form=$registroP3["FUENTE_FORMULARIO"];
		$TaCu_Form=$registroP3["TAMANO_FORMULARIO"];
		$BgCu_Form=$registroP3["COLOR_FORMULARIO"];
		$FonTi_Form=$registroP3["BG_TABLATITULO"];
		$FonCi_Form=$registroP3["BG_TABLACUERPO"];
		$FonSe_Form=$registroP3["BG_TABLASEPARACION"];
		$Borde_Form=$registroP3["BORDER_CAMPO"];
		$CamDe_Form=$registroP3["BG_CAMPODESHABILITADO"];
		$ClaBtn=$registroP3["CLASE_BOTON"];
		}
		
	/////////Identificar personalización 4
		$sqlP4 = mysql_query("select * from wms_personaliza4 where ID='1'");
		if (mysql_numrows($sqlP4)==0) echo "";
		else{
		$registroP4=mysql_fetch_array($sqlP4);
		}
		if (mysql_numrows($sqlP4)>0)
		{
		$Bord_Tabl=$registroP4["BG_BORDE"];
		$Fond_Tabl=$registroP4["BG_FONDOGRALTABLA"];
		$BgF1_Tabl=$registroP4["BG_FILA_1"];
		$BgF2_Tabl=$registroP4["BG_FILA_2"];
		$FTit_Tabl=$registroP4["FUENTE_TABLATITULO"];
		$TTit_Tabl=$registroP4["TAMANO_FUENTETABLATITULO"];
		$CFTi_Tabl=$registroP4["COLOR_FUENTETABLATITULO"];
		$FEnc_Tabl=$registroP4["FUENTE_TABLAENCA"];
		$TEnc_Tabl=$registroP4["TAMANO_FUENTETABLAENCA"];
		$CEnc_Tabl=$registroP4["COLOR_FUENTETABLAENCA"];
		$FCue_Tabl=$registroP4["FUENTE_TABLACUER"];
		$TCue_Tabl=$registroP4["TAMANO_FUENTETABLACUER"];
		$CCue_Tabl=$registroP4["COLOR_FUENTETABLACUER"];
		}		
		
	/////////Identificar configuracion 1
		$sqlC1 = mysql_query("select * from wms_configura1 where ID='1'");
		if (mysql_numrows($sqlC1)==0) echo "";
		else{
		$registroC1=mysql_fetch_array($sqlC1);
		}
		if (mysql_numrows($sqlC1)>0)
		{
		$TimeInac=$registroC1["TIEMPO_INACTIVIDAD"];
		}
		
	/////////Identifica si el token aun esta vigente
		$ExtAño = substr($TokEn, -28, 4);    // devuelve el año
		$ExtDia = substr($TokEn, -7, 2);    // devuelve el mes
		$ExtMes = substr($TokEn, -14, 2);    // devuelve el día
		$FechTok=$ExtDia."/".$ExtMes."/".$ExtAño;
		$FechAct=$PreTo4=date("d/m/Y");
		
		if ($FechTok<>$FechAct)
		{
			echo "<script>alert('La sesión del Token de seguridad ha caducado.\\nFavor de iniciar sesion nuevamente.');</script>";
			echo "<META HTTP-EQUIV=Refresh CONTENT='0; URL=LogOff_Force.php?USUkp=$UsuEn&IdDeAcc=$IDSeEn'>";
		}
		else
		{ ///Inicia IF Sesion Token
		
	/////////Identificar permisos de acceso 1
		$sqlPA1 = mysql_query("select * from tabla_usuarios where USUARION='$UsuEn'");
		if (mysql_numrows($sqlPA1)==0) 
		{
			echo "<script>alert('CODIGO: LOGSYS#00001\\nEl Usuario en sesión ha sido truncado por inexistencia.'); </script>";
			echo "<META HTTP-EQUIV=Refresh CONTENT='0; URL=LogIn.php'>";
		}
		else
		{ ///Inicia IF Permiso de Acceso 1
		
	/////////Identificar permisos de acceso 2
		$sqlPA2 = mysql_query("select * from wms_configurapermisosnivelmodulo where USUARIO='$UsuEn' AND CVE_MODULO='$Cve_Modulo'");
		if (mysql_numrows($sqlPA2)==0) 
		{
			echo "<META HTTP-EQUIV=Refresh CONTENT='0; URL=SinPermisos.php?UsuKP=$UsuEn&IdDAcce=$IDSeEn&TokenKP=$TokEn&CtaSKP=$CtaSesionEn&VPN=$VpnEn&LT=$LtEn&Cve_ModuloKP=$Cve_Modulo'>";
		}
		else
		{ ///Inicia IF Permiso de Acceso 2
	
	/////////Identificar permisos de acceso 3 - Acreditación de Sesión Activa	
		$sqlPA3 = mysql_query("select * from tabla_controlsesiones where USUARIO='$UsuEn'");
		if (mysql_numrows($sqlPA3)==0) 
		{
		echo "<META HTTP-EQUIV=Refresh CONTENT='0; URL=LogOff_ReLogIn.php?UsuKP=$UsuEn&IdDAcce=$IDSeEn&TokenKP=$TokEn&CtaSKP=$CtaSesionEn&VPN=$VpnEn&LT=$LtEn&' target='_parent'>";
		}
		else
		{ ///Inicia IF Permiso de Acceso 3
		
		//////HORA y FECHA/////
			$Hora=time();
			$HoraOK=date("H:i:s",$Hora);
			$Fecha=date("Y/m/d");
			
			/////Vigencia de Documento
			$VigenciaFecha = strtotime ( '+2 day' , strtotime ( $Fecha ) ) ;
			$VigenciaFecha = date ( 'Y/m/d' , $VigenciaFecha );
			
			//////Identificar la Cuenta y la Bodega
			$sqlCR1 = mysql_query("select * from wms_configura_altacuentas where NOMBRE_CUENTA='$CtaSesionEn'");
			if (mysql_numrows($sqlCR1)==0) echo "";
			else{
			$registroCR1=mysql_fetch_array($sqlCR1);
			}
			if (mysql_numrows($sqlCR1)>0)
			{
			$CveBodCR1=$registroCR1["CVE_BODEGA"];
			$CveCueCR1=$registroCR1["CVE_CUENTA"];
			}
			
				$sqlCR2 = mysql_query("select * from wms_configura_altabodega where CVE_BODEGA='$CveBodCR1'");
				if (mysql_numrows($sqlCR2)==0) echo "";
				else{
				$registroCR2=mysql_fetch_array($sqlCR2);
				}
				if (mysql_numrows($sqlCR2)>0)
				{
				$NomBodCR2=$registroCR2["NOMBRE_BODEGA"];
				}

////++++++++++++++ FIN CONFIGURACIÓN DE PARAMETROS ESTANTAR EN PLATAFORMA ++++++++++++++////
?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1" />
<?PHP echo"<link rel='stylesheet' href='cssBtn/style_Btns.css'>"; ?>
<!-- <script language='javascript' src="popcalendar.js"></script> -->

<!-- Inicia Clases para Calendario -->
<link rel="stylesheet" href="//logsyswms.com/CalendarioWMS/CSS/jquery-ui.css">
<script src="//logsyswms.com/CalendarioWMS/JS/jquery-1.10.2.js"></script>
<script src="//logsyswms.com/CalendarioWMS/JS/jquery-ui.js"></script>

<script type="text/javascript">
jQuery(function($){
	$.datepicker.regional['es'] = {
		closeText: 'Cerrar',
		prevText: '&#x3c;Ant',
		nextText: 'Sig&#x3e;',
		currentText: 'Hoy',
		monthNames: ['Enero','Febrero','Marzo','Abril','Mayo','Junio',
		'Julio','Agosto','Septiembre','Octubre','Noviembre','Diciembre'],
		monthNamesShort: ['Ene','Feb','Mar','Abr','May','Jun',
		'Jul','Ago','Sep','Oct','Nov','Dic'],
		dayNames: ['Domingo','Lunes','Martes','Mi&eacute;rcoles','Jueves','Viernes','S&aacute;bado'],
		dayNamesShort: ['Dom','Lun','Mar','Mi&eacute;','Juv','Vie','S&aacute;b'],
		dayNamesMin: ['Do','Lu','Ma','Mi','Ju','Vi','S&aacute;'],
		weekHeader: 'Sm',
		dateFormat: 'yy/mm/dd',
		firstDay: 1,
		isRTL: false,
		showMonthAfterYear: false,
		yearSuffix: ''};
	$.datepicker.setDefaults($.datepicker.regional['es']);
});    

        $(document).ready(function() {
           $("#datepicker").datepicker();
        });
		
		$(document).ready(function() {
           $("#datepicker2").datepicker();
        });
</script>
<!-- Termina Clases para Calendario -->

<link rel="shortcut icon" href="../WMS_Resources/images/favicon.ico">
<title><?PHP echo $Titulo; ?></title>
<style type="text/css">
body {
	background-image: url(../WMS_Resources/images/MainBkgr/<?PHP echo $BBackg; ?>);
}

.Clase_TipoLetraTitulos {
	font-family: <?PHP echo $FuTi_Form; ?>;
	font-size:<?PHP echo $TaTi_Form; ?>px;
	color:<?PHP echo $BgTi_Form; ?>;
}
.Clase_TipoLetra {
	font-family: <?PHP echo $FuCu_Form; ?>;
	font-size:<?PHP echo $TaCu_Form; ?>px;
	color:<?PHP echo $BgCu_Form; ?>;
}
.Clase_INPUT_Text {
	border: 1px solid <?PHP echo $Borde_Form; ?>;
	background: #FFFFFF;
	COLOR: #000000;
	FONT-FAMILY: Arial, Helvetica, sans-serif;
	FONT-SIZE: 12px;
	}

</style>

<!-- Inicia Validador de Inactividad -->
<script type="text/javascript">
var Inac;
function ini() {
  Inac = setTimeout('location="LogOff_Inactividad.php?TokenKP=<?PHP echo $TokEn;?>&UsuKP=<?PHP echo $UsuEn;?>&IdDAcce=<?PHP echo $IDSeEn;?>&CtaSKP=<?PHP echo $CtaSesionEn;?>&VPN=<?PHP echo $VpnEn;?>&LT=<?PHP echo $LtEn;?>"',<?PHP echo $TimeInac; ?>);
}
function parar() {
  clearTimeout(Inac);
  Inac = setTimeout('location="LogOff_Inactividad.php?TokenKP=<?PHP echo $TokEn;?>&UsuKP=<?PHP echo $UsuEn;?>&IdDAcce=<?PHP echo $IDSeEn;?>&CtaSKP=<?PHP echo $CtaSesionEn;?>&VPN=<?PHP echo $VpnEn;?>&LT=<?PHP echo $LtEn;?>"',<?PHP echo $TimeInac; ?>);
}
</script>

<!-- Termina Validador de Inactividad -->

<!-- Inicia Función Abre POPUP -->
<script languaje="JavaScript">
function otra_ventana(direccion) {
var ruta=direccion;

var caracteristicas="toolbar=0, location=0, directories=0, resizable=0, scrollbars=yes, height=400, width=600, top=120, left=350";
win=window.open(ruta ,"",caracteristicas);
}
</script>
<script type="text/javascript">
function popup(url,ancho,alto) {
var posicion_x; 
var posicion_y; 
posicion_x=(screen.width/2)-(ancho/2); 
posicion_y=(screen.height/2)-(alto/2); 
window.open(url, "mstech.mx", "width="+ancho+",height="+alto+",menubar=0,toolbar=0,directories=0,scrollbars=yes,resizable=no,left="+posicion_x+",top="+posicion_y+"");
}
</script>
<!-- Termina Función Abre POPUP -->
</head>

<body onload="ini()" onkeypress="parar()" onclick="parar()">
<?PHP
///include ("MenuEstructura.php");
?>

<!-- Inicia Cuerpo de la Interfaz Gráfica -->
<Br><Br>
<div align="center">

<?PHP
			
///PROCESO 0

///Eliminamos El Ultimo Reporte Generado
$sql_ER0= "Delete from reporte_inventario_asignado Where CVE_CUENTA='$CveCueCR1' AND USUARIO_DEMANDA='$UsuEn'";
$resultado_ER0=mysql_query($sql_ER0,$conexion) or die(mysql_error());
			
	///Fecha y Hora
	$Hora=time();
	$HoraOK=date("H:i:s",$Hora);
	$FechaOK=date("Y/m/d");

///PROCESO 1
			
	///Realizar Barrido a todo el Stock			
$sqlCR1 = mysql_query("INSERT INTO reporte_inventario_asignado (ID, CVE_BODEGA, CVE_CUENTA, NO_DOCUMENTO, NO_DOC_COMPLE, SKU, SKU_ALT, DESCRIPCION, FECHA_ENTRADA, CANTIDADTEORICA, CANTIDADASIGNADA, CANTIDADREAL, LOTE, LOTEWMS, LOTEPRODU, CADUCIDAD, FACTURA, PROVEEDOR, PIEZASXCAJA, CAJASXPALLET, ARM_PALLET, NO_PALLET, UBICACION, PRIORIDAD, TIPO_UBICACION, EDO_CALIDAD, CAN_APARTADA, USUARIO_ALTA, HORA, FECHA, TIPO_ALMACEN,USUARIO_DEMANDA) SELECT tabla_inventario.ID, tabla_inventario.CVE_BODEGA, tabla_inventario.CVE_CUENTA, tabla_inventario.NO_DOCUMENTO, tabla_inventario.NO_DOC_COMPLE, tabla_inventario.SKU, tabla_inventario.SKU_ALT, tabla_inventario.DESCRIPCION, tabla_inventario.FECHA_ENTRADA, tabla_inventario.CANTIDAD, 0, tabla_inventario.CANTIDAD, tabla_inventario.LOTE, tabla_inventario.LOTEWMS, tabla_inventario.LOTEPRODU, tabla_inventario.CADUCIDAD, tabla_inventario.FACTURA, tabla_inventario.PROVEEDOR, tabla_inventario.PIEZASXCAJA, tabla_inventario.CAJASXPALLET, tabla_inventario.ARM_PALLET, tabla_inventario.NO_PALLET, tabla_inventario.UBICACION, tabla_inventario.PRIORIDAD, tabla_inventario.TIPO_UBICACION, tabla_inventario.EDO_CALIDAD, tabla_inventario.CAN_APARTADA, tabla_inventario.USUARIO_ALTA, tabla_inventario.HORA, tabla_inventario.FECHA, tabla_inventario.TIPO_ALMACEN, '$UsuEn' FROM tabla_inventario where CVE_CUENTA='$CveCueCR1'");
			
///PROCESO 2
			
	///Detectar tareas de Surtido en Proceso
	$sql_w1=mysql_query("SELECT tabla_tareas.no_pallet, tabla_tareas.sku, SUM(tabla_tareas.cant_xtarea) As CantidadTarea FROM tabla_docsurtido INNER JOIN tabla_tareas ON ( tabla_tareas.no_documento = tabla_docsurtido.no_documento ) WHERE tabla_docsurtido.CVE_CUENTA='$CveCueCR1' AND tabla_docsurtido.edo_documento<>'cerrado' AND tabla_tareas.observaciones = '' GROUP BY tabla_tareas.no_pallet");
	while($res_w1=mysql_fetch_array($sql_w1))
	{///Inicia While 01
		
		$NoPall = $res_w1['no_pallet'];
		$CodSku = $res_w1['sku'];
		$CanAsi = $res_w1['CantidadTarea'];
			
		///Buscar el Registro del Pallet En el Inventario
		$sql_CPS = mysql_query("select * from reporte_inventario_asignado where SKU='$CodSku' AND CVE_CUENTA='$CveCueCR1' AND NO_PALLET='$NoPall' AND USUARIO_DEMANDA='$UsuEn'");
		if (mysql_numrows($sql_CPS)==0) echo "";
		else{
		$registro_CPS=mysql_fetch_array($sql_CPS);
		}
		if (mysql_numrows($sql_CPS)>0)
		{
		$CodID_CPS=$registro_CPS["ID"];
		$CanRe_CPS=$registro_CPS["CANTIDADREAL"];
		}
		
		///Operaciones Aritmeticas
		$STeorico = $CanRe_CPS + $CanAsi;
		
		///Modificar el Stock Sobre la Tabla General del Reporte
		$sql_MCG="UPDATE reporte_inventario_asignado SET CANTIDADTEORICA='$STeorico',CANTIDADASIGNADA='$CanAsi' Where SKU='$CodSku' AND CVE_CUENTA='$CveCueCR1' AND NO_PALLET='$NoPall' AND ID='$CodID_CPS' AND USUARIO_DEMANDA='$UsuEn'";
		$resultado_MCG=mysql_query($sql_MCG,$conexion) or die(mysql_error());
		
	}///Termina While 01
			
///PROCESO 3
			
	///Eliminar Pallets caon Cantidad = 0
		$sql_ER1= "Delete from reporte_inventario_asignado WHERE CANTIDADTEORICA='0' AND CANTIDADASIGNADA='0' AND CANTIDADREAL='0' AND USUARIO_DEMANDA='$UsuEn'";
		$resultado_ER1=mysql_query($sql_ER1,$conexion) or die(mysql_error());
		
///PROCESO 4			
			
///Detectar tareas de Surtido en Proceso
	$sql_w2=mysql_query("Select ID,NO_DOCUMENTO,SKU,CANTIDADREAL,NO_PALLET from reporte_inventario_asignado WHERE CVE_CUENTA='$CveCueCR1' AND USUARIO_DEMANDA='$UsuEn'");
	while($res_w2=mysql_fetch_array($sql_w2))
	{///Inicia While 02
		
		$CdIdBd = $res_w2['ID'];
		$NoDocu = $res_w2['NO_DOCUMENTO'];
		$CodSku = $res_w2['SKU'];
		$CanRea = $res_w2['CANTIDADREAL'];
		$NumPal = $res_w2['NO_PALLET'];
		
		///Buscar el Armado del Codigo
		$sql_CAC = mysql_query("select PZASXCAJA from tabla_altaproducto where SKU='$CodSku' AND CUENTA='$CveCueCR1'");
		if (mysql_numrows($sql_CAC)==0) echo "";
		else{
		$registro_CAC=mysql_fetch_array($sql_CAC);
		}
		if (mysql_numrows($sql_CAC)>0)
		{
		$PzasXCaja_CPS=$registro_CAC["PZASXCAJA"];
		}
		
		///Operación Aritmetica
		$BlisterMaximos = $CanRea / $PzasXCaja_CPS;
		$BlisterMaximosFIN = floor($BlisterMaximos );
		
		///Modificar el Registro de los Blisters dentro del Stock
		$sql_MRB="UPDATE reporte_inventario_asignado SET PZASXBLISTER='$PzasXCaja_CPS',BLISTERMAXIMO='$BlisterMaximosFIN' Where SKU='$CodSku' AND CVE_CUENTA='$CveCueCR1' AND NO_PALLET='$NumPal' AND ID='$CdIdBd' AND NO_DOCUMENTO='$NoDocu' AND USUARIO_DEMANDA='$UsuEn'";
		$resultado_MRB=mysql_query($sql_MRB,$conexion) or die(mysql_error());
	
	}///Termina While 02
			
///PROCESO 5		
			
///Detectar el total de piezas que se demandan en el Detalle
	$sql_w3=mysql_query("SELECT SKU, SUM(CANT_X_SURTIR) AS CantidadDetalle FROM tabla_detalledocsur INNER JOIN tabla_docsurtido on tabla_docsurtido.NO_DOCUMENTO = tabla_detalledocsur.NO_DOCUMENTO WHERE tabla_detalledocsur.CVE_CUENTA='$CveCueCR1' and (tabla_docsurtido.EDO_DOCUMENTO='DETALLANDO' or tabla_docsurtido.EDO_DOCUMENTO='ASOCIADO') Group By tabla_detalledocsur.SKU");		
	while($res_w3=mysql_fetch_array($sql_w3))
	{///Inicia While 03
		
		$CodSku_w3 = $res_w3['SKU'];
		$CanDet_w3 = $res_w3['CantidadDetalle'];
		
		///Identificar el primer registro de el SKU en Curso
		$sql_ISKU = mysql_query("select ID from reporte_inventario_asignado where SKU='$CodSku_w3' AND CVE_CUENTA='$CveCueCR1' AND EDO_CALIDAD='D' AND USUARIO_DEMANDA='$UsuEn' limit 0,1");
		if (mysql_numrows($sql_ISKU)==0) echo "";
		else{
		$registro_ISKU=mysql_fetch_array($sql_ISKU);
		}
		if (mysql_numrows($sql_ISKU)>0)
		{
		$IdBd_ISKU=$registro_ISKU["ID"];
		}
		
		///Modificar el Registro de los Blisters dentro del Stock
		$sql_MRB="UPDATE reporte_inventario_asignado SET CANTIDADDEMANDA='$CanDet_w3' Where SKU='$CodSku_w3' AND CVE_CUENTA='$CveCueCR1' AND EDO_CALIDAD='D' AND ID='$IdBd_ISKU' AND USUARIO_DEMANDA='$UsuEn'";
		$resultado_MRB=mysql_query($sql_MRB,$conexion) or die(mysql_error());
	
	}///Termina While 03			
	
	///Redireccionamiento
	echo "<META HTTP-EQUIV=Refresh CONTENT='0; URL=185-VisualizacionInventarioAsignadoConsolidado2.php?UsuKP=$UsuEn&IdDAcce=$IDSeEn&TokenKP=$TokEn&CtaSKP=$CtaSesionEn&VPN=$VpnEn&LT=$LtEn'>";
?>

</div>
<!-- Termina Cuerpo de la Interfaz Gráfica -->


<?PHP
} ///Termina IF Permiso de Acceso 3
} ///Termina IF Permiso de Acceso 2
} ///Termina IF Permiso de Acceso 1
} ///Termina IF Sesion del Token
?>
</body>
</html>